import { GameCanvas } from "./components/GameCanvas";

const WIDTH = 800;
const HEIGHT = 800;

export const App = () => {
  return (
    <div className="main">
      <div className="header">
        <div className="nav">
          <h1>the abstraction engine</h1>
        </div>
      </div>
      <div className="content">
        <GameCanvas width={WIDTH} height={HEIGHT} />
      </div>
      <div className="footer">
        <span>
          built by{" "}
          <a
            href="https://git.simponic.xyz/simponic"
            target="_blank"
            className="tf"
          >
            simponic
          </a>
        </span>
      </div>
    </div>
  );
};
